<?php
InitGP(array('kid','c'),'G');
$ot->save('keywords','kid',array(
    'b'=>$c,
  )
);

theme_header();
$ot->borderA('#content2','box2');
if(!$kid){
  $ot->addhead('添加新关键词');
}else{
  !gettable('keywords',"kid='$kid'") && jump('error','您要编辑的关键词信息不存在','?a='.$a);
  $ot->addhead('编辑关键词信息');
}
$ot->addinput('关键词','word',$word,'text',1,'');
$ot->addinput('附加信息','url',$url,'text',0,'',array('tip'=>'1.留空：关键词热点，点击可搜索此关键词！<br />2.Q+数字：搜索编号为此数字的问题！<br />3.A+数字：搜索编号为此数字的答案！<br />4.网址：弹出此处指定的超链接！<br />5.其他：特殊热点，搜索“附加信息”填写的内容'));
if(!$kid){
  $ot->addinput('','action','add','name');
  $ot->setform('添加');
}else{
  $ot->addinput('','action','edit','name');
  $ot->setform('保存');
}
$ot->borderB(1);
$ot->flush();
theme_footer();
?>